Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::iter_swap_fn Struct Reference
Utility

## Public Member Functions
template<typename Readable0 , typename Readable1 , int _concept_requires___LINE__ = 42, typename std::enable_if< (_concept_requires___LINE__==43)||(IndirectlySwappable< Readable0, Readable1 >()), int >::type = 0>
void | operator() (Readable0 a, Readable1 b) const noexcept(is_nothrow_indirectly_swappable< Readable0, Readable1 >::value)